USE [master]
GO

/***********************************************************************
						Create database
************************************************************************/


/****** Object:  Database [StockData]    Script Date: 2/24/2025 9:01:40 AM ******/
CREATE DATABASE [StockData]
GO


IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [StockData].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [StockData] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [StockData] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [StockData] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [StockData] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [StockData] SET ARITHABORT OFF 
GO

ALTER DATABASE [StockData] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [StockData] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [StockData] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [StockData] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [StockData] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [StockData] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [StockData] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [StockData] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [StockData] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [StockData] SET  DISABLE_BROKER 
GO

ALTER DATABASE [StockData] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [StockData] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [StockData] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [StockData] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [StockData] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [StockData] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [StockData] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [StockData] SET RECOVERY SIMPLE 
GO

ALTER DATABASE [StockData] SET  MULTI_USER 
GO

ALTER DATABASE [StockData] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [StockData] SET DB_CHAINING OFF 
GO

ALTER DATABASE [StockData] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO

ALTER DATABASE [StockData] SET TARGET_RECOVERY_TIME = 60 SECONDS 
GO

ALTER DATABASE [StockData] SET DELAYED_DURABILITY = DISABLED 
GO

ALTER DATABASE [StockData] SET ACCELERATED_DATABASE_RECOVERY = OFF  
GO

ALTER DATABASE [StockData] SET QUERY_STORE = ON
GO

ALTER DATABASE [StockData] SET QUERY_STORE (OPERATION_MODE = READ_WRITE, CLEANUP_POLICY = (STALE_QUERY_THRESHOLD_DAYS = 30), DATA_FLUSH_INTERVAL_SECONDS = 900, INTERVAL_LENGTH_MINUTES = 60, MAX_STORAGE_SIZE_MB = 1000, QUERY_CAPTURE_MODE = AUTO, SIZE_BASED_CLEANUP_MODE = AUTO, MAX_PLANS_PER_QUERY = 200, WAIT_STATS_CAPTURE_MODE = ON)
GO

ALTER DATABASE [StockData] SET  READ_WRITE 
GO




/***********************************************************************
						Create database objects
************************************************************************/




USE [StockData]
GO
EXEC sys.sp_dropextendedproperty @name=N'Kevin''s Note' , @level0type=N'SCHEMA',@level0name=N'src', @level1type=N'TABLE',@level1name=N'Stocks'
GO
EXEC sys.sp_dropextendedproperty @name=N'TableSourceType' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Stocks'
GO
EXEC sys.sp_dropextendedproperty @name=N'TableSource' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Stocks'
GO
EXEC sys.sp_dropextendedproperty @name=N'TableDescription' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Stocks'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnSource' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Stocks', @level2type=N'COLUMN',@level2name=N'EquityType'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnDescription' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Stocks', @level2type=N'COLUMN',@level2name=N'EquityType'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnSource' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Stocks', @level2type=N'COLUMN',@level2name=N'EquityName'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnDescription' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Stocks', @level2type=N'COLUMN',@level2name=N'EquityName'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnSource' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Stocks', @level2type=N'COLUMN',@level2name=N'ticker'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnDescription' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Stocks', @level2type=N'COLUMN',@level2name=N'ticker'
GO
EXEC sys.sp_dropextendedproperty @name=N'TableSourceType' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory'
GO
EXEC sys.sp_dropextendedproperty @name=N'TableSource' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory'
GO
EXEC sys.sp_dropextendedproperty @name=N'TableDescription' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnSource' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'volume'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnDescription' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'volume'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnSource' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'adj_close_price'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnDescription' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'adj_close_price'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnSource' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'close_price'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnDescription' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'close_price'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnSource' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'low_price'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnDescription' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'low_price'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnSource' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'high_price'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnDescription' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'high_price'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnSource' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'open_price'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnDescription' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'open_price'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnSource' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'date'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnDescription' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'date'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnSource' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'ticker'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnDescription' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'ticker'
GO
EXEC sys.sp_dropextendedproperty @name=N'TableSourceType' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Dividends'
GO
EXEC sys.sp_dropextendedproperty @name=N'TableSource' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Dividends'
GO
EXEC sys.sp_dropextendedproperty @name=N'TableDescription' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Dividends'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnSource' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Dividends', @level2type=N'COLUMN',@level2name=N'dividend_amount'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnDescription' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Dividends', @level2type=N'COLUMN',@level2name=N'dividend_amount'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnSource' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Dividends', @level2type=N'COLUMN',@level2name=N'dividend_date'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnDescription' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Dividends', @level2type=N'COLUMN',@level2name=N'dividend_date'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnSource' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Dividends', @level2type=N'COLUMN',@level2name=N'ticker'
GO
EXEC sys.sp_dropextendedproperty @name=N'ColumnDescription' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Dividends', @level2type=N'COLUMN',@level2name=N'ticker'
GO
/****** Object:  Table [stg].[Dividends]    Script Date: 2/24/2025 9:11:32 AM ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[stg].[Dividends]') AND type in (N'U'))
DROP TABLE [stg].[Dividends]
GO
/****** Object:  Table [src].[Stocks]    Script Date: 2/24/2025 9:11:32 AM ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[src].[Stocks]') AND type in (N'U'))
DROP TABLE [src].[Stocks]
GO
/****** Object:  Table [dbo].[Stocks]    Script Date: 2/24/2025 9:11:32 AM ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Stocks]') AND type in (N'U'))
DROP TABLE [dbo].[Stocks]
GO
/****** Object:  Table [dbo].[StockHistory]    Script Date: 2/24/2025 9:11:32 AM ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[StockHistory]') AND type in (N'U'))
DROP TABLE [dbo].[StockHistory]
GO
/****** Object:  Table [dbo].[Dividends]    Script Date: 2/24/2025 9:11:32 AM ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Dividends]') AND type in (N'U'))
DROP TABLE [dbo].[Dividends]
GO
/****** Object:  Schema [stg]    Script Date: 2/24/2025 9:11:32 AM ******/
DROP SCHEMA [stg]
GO
/****** Object:  Schema [src]    Script Date: 2/24/2025 9:11:32 AM ******/
DROP SCHEMA [src]
GO
USE [master]
GO
/****** Object:  Database [StockData]    Script Date: 2/24/2025 9:11:32 AM ******/
DROP DATABASE [StockData]
GO
/****** Object:  Database [StockData]    Script Date: 2/24/2025 9:11:32 AM ******/
CREATE DATABASE [StockData]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'StockData', FILENAME = N'e:\sql\DATA\StockData.mdf' , SIZE = 4399104KB , MAXSIZE = UNLIMITED, FILEGROWTH = 65536KB )
 LOG ON 
( NAME = N'StockData_log', FILENAME = N'E:\sql\log\StockData_log.ldf' , SIZE = 9969664KB , MAXSIZE = 2048GB , FILEGROWTH = 65536KB )
 WITH CATALOG_COLLATION = DATABASE_DEFAULT, LEDGER = OFF
GO
ALTER DATABASE [StockData] SET COMPATIBILITY_LEVEL = 160
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [StockData].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO
ALTER DATABASE [StockData] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [StockData] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [StockData] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [StockData] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [StockData] SET ARITHABORT OFF 
GO
ALTER DATABASE [StockData] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [StockData] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [StockData] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [StockData] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [StockData] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [StockData] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [StockData] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [StockData] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [StockData] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [StockData] SET  DISABLE_BROKER 
GO
ALTER DATABASE [StockData] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [StockData] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [StockData] SET TRUSTWORTHY OFF 
GO
ALTER DATABASE [StockData] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO
ALTER DATABASE [StockData] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [StockData] SET READ_COMMITTED_SNAPSHOT OFF 
GO
ALTER DATABASE [StockData] SET HONOR_BROKER_PRIORITY OFF 
GO
ALTER DATABASE [StockData] SET RECOVERY SIMPLE 
GO
ALTER DATABASE [StockData] SET  MULTI_USER 
GO
ALTER DATABASE [StockData] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [StockData] SET DB_CHAINING OFF 
GO
ALTER DATABASE [StockData] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO
ALTER DATABASE [StockData] SET TARGET_RECOVERY_TIME = 60 SECONDS 
GO
ALTER DATABASE [StockData] SET DELAYED_DURABILITY = DISABLED 
GO
ALTER DATABASE [StockData] SET ACCELERATED_DATABASE_RECOVERY = OFF  
GO
EXEC sys.sp_db_vardecimal_storage_format N'StockData', N'ON'
GO
ALTER DATABASE [StockData] SET CHANGE_TRACKING = ON (CHANGE_RETENTION = 2 DAYS,AUTO_CLEANUP = ON)
GO
ALTER DATABASE [StockData] SET QUERY_STORE = ON
GO
ALTER DATABASE [StockData] SET QUERY_STORE (OPERATION_MODE = READ_WRITE, CLEANUP_POLICY = (STALE_QUERY_THRESHOLD_DAYS = 30), DATA_FLUSH_INTERVAL_SECONDS = 900, INTERVAL_LENGTH_MINUTES = 60, MAX_STORAGE_SIZE_MB = 1000, QUERY_CAPTURE_MODE = AUTO, SIZE_BASED_CLEANUP_MODE = AUTO, MAX_PLANS_PER_QUERY = 200, WAIT_STATS_CAPTURE_MODE = ON)
GO
USE [StockData]
GO
/****** Object:  Schema [src]    Script Date: 2/24/2025 9:11:32 AM ******/
CREATE SCHEMA [src]
GO
/****** Object:  Schema [stg]    Script Date: 2/24/2025 9:11:32 AM ******/
CREATE SCHEMA [stg]
GO
/****** Object:  Table [dbo].[Dividends]    Script Date: 2/24/2025 9:11:32 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Dividends](
	[ticker] [varchar](50) NOT NULL,
	[dividend_date] [date] NOT NULL,
	[dividend_amount] [real] NULL,
 CONSTRAINT [PK_Dividends] PRIMARY KEY CLUSTERED 
(
	[ticker] ASC,
	[dividend_date] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[StockHistory]    Script Date: 2/24/2025 9:11:32 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[StockHistory](
	[ticker] [varchar](50) NOT NULL,
	[date] [date] NOT NULL,
	[open_price] [real] NULL,
	[high_price] [real] NULL,
	[low_price] [real] NULL,
	[close_price] [real] NULL,
	[adj_close_price] [real] NULL,
	[volume] [bigint] NULL,
 CONSTRAINT [PK_StockHistory] PRIMARY KEY CLUSTERED 
(
	[ticker] ASC,
	[date] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Stocks]    Script Date: 2/24/2025 9:11:32 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Stocks](
	[ticker] [varchar](50) NOT NULL,
	[EquityName] [varchar](100) NULL,
	[EquityType] [varchar](20) NULL,
 CONSTRAINT [PK_Tickers] PRIMARY KEY CLUSTERED 
(
	[ticker] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [src].[Stocks]    Script Date: 2/24/2025 9:11:32 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [src].[Stocks](
	[ticker] [varchar](50) NOT NULL,
	[EquityName] [varchar](100) NULL,
	[EquityType] [varchar](20) NULL,
 CONSTRAINT [PK_src_Tickers] PRIMARY KEY CLUSTERED 
(
	[ticker] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
ALTER TABLE [src].[Stocks] ENABLE CHANGE_TRACKING WITH(TRACK_COLUMNS_UPDATED = OFF)
GO
/****** Object:  Table [stg].[Dividends]    Script Date: 2/24/2025 9:11:32 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [stg].[Dividends](
	[ticker] [varchar](50) NULL,
	[dividend_date] [date] NULL,
	[dividend_amount] [real] NULL
) ON [PRIMARY]
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnDescription', @value=N'The ticker symbol for this equity.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Dividends', @level2type=N'COLUMN',@level2name=N'ticker'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnSource', @value=N'ticker' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Dividends', @level2type=N'COLUMN',@level2name=N'ticker'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnDescription', @value=N'The date of this dividend' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Dividends', @level2type=N'COLUMN',@level2name=N'dividend_date'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnSource', @value=N'dividend_date' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Dividends', @level2type=N'COLUMN',@level2name=N'dividend_date'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnDescription', @value=N'The amount of this dividend' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Dividends', @level2type=N'COLUMN',@level2name=N'dividend_amount'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnSource', @value=N'dividend_amount' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Dividends', @level2type=N'COLUMN',@level2name=N'dividend_amount'
GO
EXEC sys.sp_addextendedproperty @name=N'TableDescription', @value=N'The dbo.Dividends table contains the list of dividends paid out for each equity.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Dividends'
GO
EXEC sys.sp_addextendedproperty @name=N'TableSource', @value=N'Dividends.csv' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Dividends'
GO
EXEC sys.sp_addextendedproperty @name=N'TableSourceType', @value=N'CSV File' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Dividends'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnDescription', @value=N'The ticker symbol for this equity.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'ticker'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnSource', @value=N'ticker' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'ticker'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnDescription', @value=N'The market date for this equity''s price.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'date'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnSource', @value=N'date' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'date'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnDescription', @value=N'The equity''s opening price for this market day.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'open_price'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnSource', @value=N'open_price' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'open_price'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnDescription', @value=N'The equity''s high price for this market day.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'high_price'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnSource', @value=N'high_price' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'high_price'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnDescription', @value=N'The equity''s low price for this market day.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'low_price'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnSource', @value=N'low_price' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'low_price'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnDescription', @value=N'The equity''s close price for this market day.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'close_price'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnSource', @value=N'close_price' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'close_price'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnDescription', @value=N'The equity''s adjusted close price for this market day.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'adj_close_price'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnSource', @value=N'adj_close_price' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'adj_close_price'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnDescription', @value=N'The equity''s trade volume for this market day.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'volume'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnSource', @value=N'volume' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory', @level2type=N'COLUMN',@level2name=N'volume'
GO
EXEC sys.sp_addextendedproperty @name=N'TableDescription', @value=N'The dbo.StockHistory table contains the daily stock history, including high, low, close, and adjusted close for each market day.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory'
GO
EXEC sys.sp_addextendedproperty @name=N'TableSource', @value=N'StockData.csv' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory'
GO
EXEC sys.sp_addextendedproperty @name=N'TableSourceType', @value=N'CSV File' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnDescription', @value=N'The ticker symbol for this equity.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Stocks', @level2type=N'COLUMN',@level2name=N'ticker'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnSource', @value=N'ticker' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Stocks', @level2type=N'COLUMN',@level2name=N'ticker'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnDescription', @value=N'The EquityName for this equity.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Stocks', @level2type=N'COLUMN',@level2name=N'EquityName'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnSource', @value=N'EquityName' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Stocks', @level2type=N'COLUMN',@level2name=N'EquityName'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnDescription', @value=N'The EquityType (stock, ETF, mutual fund) for this equity.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Stocks', @level2type=N'COLUMN',@level2name=N'EquityType'
GO
EXEC sys.sp_addextendedproperty @name=N'ColumnSource', @value=N'EquityType' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Stocks', @level2type=N'COLUMN',@level2name=N'EquityType'
GO
EXEC sys.sp_addextendedproperty @name=N'TableDescription', @value=N'The dbo.Stocks contains the tickers for stocks, ETFs, and other equities we are tracking.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Stocks'
GO
EXEC sys.sp_addextendedproperty @name=N'TableSource', @value=N'Stocks.csv' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Stocks'
GO
EXEC sys.sp_addextendedproperty @name=N'TableSourceType', @value=N'CSV File' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Stocks'
GO
EXEC sys.sp_addextendedproperty @name=N'Kevin''s Note', @value=N'Kevin''s Value' , @level0type=N'SCHEMA',@level0name=N'src', @level1type=N'TABLE',@level1name=N'Stocks'
GO
USE [master]
GO
ALTER DATABASE [StockData] SET  READ_WRITE 
GO
