USE StockData
GO

/******************************************************

	INTERSECT - shows data in both X and Y

	EXCEPT - shows data in X but not Y

*******************************************************/



/*
	Using INTERSECT, show stocks with dividends in both the last 2 quarters of last year.

	Query order is not important for INTERSECT.
*/

SELECT ticker
FROM dbo.Dividends
WHERE dividend_date BETWEEN '7/1/2024' AND '9/30/2024'

INTERSECT

SELECT ticker
FROM dbo.Dividends
WHERE dividend_date BETWEEN '10/1/2024' AND '12/31/2024'



/*
	Using EXCEPT, show stocks with dividends in Q3 but not Q4

	Remember, order is important here (x but not y)
*/

SELECT ticker
FROM dbo.Dividends
WHERE dividend_date BETWEEN '7/1/2024' AND '9/30/2024'

EXCEPT

SELECT ticker
FROM dbo.Dividends
WHERE dividend_date BETWEEN '10/1/2024' AND '12/31/2024'


UNION ALL 


-- Opposite the above, reversing the queries will show Y but not X
SELECT ticker
FROM dbo.Dividends
WHERE dividend_date BETWEEN '10/1/2024' AND '12/31/2024'

EXCEPT

SELECT ticker
FROM dbo.Dividends
WHERE dividend_date BETWEEN '7/1/2024' AND '9/30/2024'
