USE StockData
GO


/*
	If using correlated subqueries, make sure you pay attention to the scope.
*/

SELECT * 
FROM dbo.StockHistory
WHERE ticker IN (
	SELECT ticker
	FROM dbo.Stocks
	WHERE YEAR(date) = 2024			-- using [date] from outer query, since it's the only one
	AND ticker = 'AAPL'				-- using ticker from inner query, using inner-then-outer order
)
ORDER BY date


-- To avoid confusion, and to make your code more readable, always alias your tables and columns
SELECT * 
FROM dbo.StockHistory sh
WHERE sh.ticker IN (
	SELECT s.ticker
	FROM dbo.Stocks s
	WHERE YEAR(sh.[date]) = 2024			-- using [date] from outer query, since it's the only one
	AND s.ticker = 'AAPL'				-- using ticker from inner query, using inner-then-outer order
)
ORDER BY sh.[date]