USE master
GO

-- Enable change tracking on the database
IF NOT EXISTS (SELECT 1 FROM sys.change_tracking_databases WHERE database_id = DB_ID('StockData'))
	ALTER DATABASE StockData SET CHANGE_TRACKING = ON
    
GO





USE StockData
GO



/*
	Create the table to demonstrate change tracking
*/
IF (OBJECT_ID('src.Stocks') IS NOT NULL)
	DROP TABLE src.Stocks


CREATE TABLE [src].[Stocks](
	[ticker] [VARCHAR](50) NOT NULL,
	[EquityName] [VARCHAR](100) NULL,
	[EquityType] [VARCHAR](20) NULL,
	CONSTRAINT [PK_src_Tickers] PRIMARY KEY CLUSTERED ([ticker] ASC)
)



/*
	Enable change tracking on this table
*/

IF NOT EXISTS (SELECT 1 FROM sys.change_tracking_tables 
               WHERE object_id = OBJECT_ID('src.Stocks'))
BEGIN
     ALTER TABLE src.Stocks
     ENABLE CHANGE_TRACKING
     WITH (TRACK_COLUMNS_UPDATED = OFF)
END