USE [StockData]
GO

/*****************************************************************
	
	Extended properties allow for documentation directly in the
	data model.

******************************************************************/


/**************************************************************************************/
/***********************				Tables				***************************/
/**************************************************************************************/



/*
	StockHistory
*/
EXEC sys.sp_addextendedproperty @name=N'TableDescription', @value=N'The dbo.StockHistory table contains the daily stock history, including high, low, close, and adjusted close for each market day.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory'

EXEC sys.sp_addextendedproperty @name=N'TableSourceType', @value=N'CSV File' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory'

EXEC sys.sp_addextendedproperty @name=N'TableSource', @value=N'StockData.csv' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'StockHistory'


/*
	Dividends
*/
EXEC sys.sp_addextendedproperty @name=N'TableDescription', @value=N'The dbo.Dividends table contains the list of dividends paid out for each equity.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Dividends'

EXEC sys.sp_addextendedproperty @name=N'TableSourceType', @value=N'CSV File' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Dividends'

EXEC sys.sp_addextendedproperty @name=N'TableSource', @value=N'Dividends.csv' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Dividends'


/*
	Stocks
*/
EXEC sys.sp_addextendedproperty @name=N'TableDescription', @value=N'The dbo.Stocks contains the tickers for stocks, ETFs, and other equities we are tracking.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Stocks'
GO

EXEC sys.sp_addextendedproperty @name=N'TableSourceType', @value=N'CSV File' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Stocks'
GO

EXEC sys.sp_addextendedproperty @name=N'TableSource', @value=N'Stocks.csv' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Stocks'
GO









/**************************************************************************************/
/***********************				Columns				***************************/
/**************************************************************************************/






/*
	StockHistory
*/

-- ticker
EXEC sys.sp_addextendedproperty @name = N'ColumnDescription'
                              , @value = N'The ticker symbol for this equity.'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'StockHistory'
                              , @level2type = N'COLUMN'
                              , @level2name = N'ticker';
EXEC sys.sp_addextendedproperty @name = N'ColumnSource'
                              , @value = N'ticker'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'StockHistory'
                              , @level2type = N'COLUMN'
                              , @level2name = N'ticker';



-- date
EXEC sys.sp_addextendedproperty @name = N'ColumnDescription'
                              , @value = N'The market date for this equity''s price.'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'StockHistory'
                              , @level2type = N'COLUMN'
                              , @level2name = N'date';
EXEC sys.sp_addextendedproperty @name = N'ColumnSource'
                              , @value = N'date'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'StockHistory'
                              , @level2type = N'COLUMN'
                              , @level2name = N'date';


-- open_price
EXEC sys.sp_addextendedproperty @name = N'ColumnDescription'
                              , @value = N'The equity''s opening price for this market day.'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'StockHistory'
                              , @level2type = N'COLUMN'
                              , @level2name = N'open_price';
EXEC sys.sp_addextendedproperty @name = N'ColumnSource'
                              , @value = N'open_price'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'StockHistory'
                              , @level2type = N'COLUMN'
                              , @level2name = N'open_price';


-- high_price
EXEC sys.sp_addextendedproperty @name = N'ColumnDescription'
                              , @value = N'The equity''s high price for this market day.'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'StockHistory'
                              , @level2type = N'COLUMN'
                              , @level2name = N'high_price';
EXEC sys.sp_addextendedproperty @name = N'ColumnSource'
                              , @value = N'high_price'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'StockHistory'
                              , @level2type = N'COLUMN'
                              , @level2name = N'high_price';


-- low_price
EXEC sys.sp_addextendedproperty @name = N'ColumnDescription'
                              , @value = N'The equity''s low price for this market day.'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'StockHistory'
                              , @level2type = N'COLUMN'
                              , @level2name = N'low_price';
EXEC sys.sp_addextendedproperty @name = N'ColumnSource'
                              , @value = N'low_price'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'StockHistory'
                              , @level2type = N'COLUMN'
                              , @level2name = N'low_price';


-- close_price
EXEC sys.sp_addextendedproperty @name = N'ColumnDescription'
                              , @value = N'The equity''s close price for this market day.'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'StockHistory'
                              , @level2type = N'COLUMN'
                              , @level2name = N'close_price';
EXEC sys.sp_addextendedproperty @name = N'ColumnSource'
                              , @value = N'close_price'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'StockHistory'
                              , @level2type = N'COLUMN'
                              , @level2name = N'close_price';


-- adj_close_price
EXEC sys.sp_addextendedproperty @name = N'ColumnDescription'
                              , @value = N'The equity''s adjusted close price for this market day.'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'StockHistory'
                              , @level2type = N'COLUMN'
                              , @level2name = N'adj_close_price';
EXEC sys.sp_addextendedproperty @name = N'ColumnSource'
                              , @value = N'adj_close_price'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'StockHistory'
                              , @level2type = N'COLUMN'
                              , @level2name = N'adj_close_price';


-- volume
EXEC sys.sp_addextendedproperty @name = N'ColumnDescription'
                              , @value = N'The equity''s trade volume for this market day.'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'StockHistory'
                              , @level2type = N'COLUMN'
                              , @level2name = N'volume';
EXEC sys.sp_addextendedproperty @name = N'ColumnSource'
                              , @value = N'volume'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'StockHistory'
                              , @level2type = N'COLUMN'
                              , @level2name = N'volume';






/*
	Dividends
*/

-- ticker
EXEC sys.sp_addextendedproperty @name = N'ColumnDescription'
                              , @value = N'The ticker symbol for this equity.'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'Dividends'
                              , @level2type = N'COLUMN'
                              , @level2name = N'ticker';

EXEC sys.sp_addextendedproperty @name = N'ColumnSource'
                              , @value = N'ticker'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'Dividends'
                              , @level2type = N'COLUMN'
                              , @level2name = N'ticker';


-- dividend_date
EXEC sys.sp_addextendedproperty @name = N'ColumnDescription'
                              , @value = N'The date of this dividend'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'Dividends'
                              , @level2type = N'COLUMN'
                              , @level2name = N'dividend_date';

EXEC sys.sp_addextendedproperty @name = N'ColumnSource'
                              , @value = N'dividend_date'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'Dividends'
                              , @level2type = N'COLUMN'
                              , @level2name = N'dividend_date';


-- dividend_amount
EXEC sys.sp_addextendedproperty @name = N'ColumnDescription'
                              , @value = N'The amount of this dividend'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'Dividends'
                              , @level2type = N'COLUMN'
                              , @level2name = N'dividend_amount';

EXEC sys.sp_addextendedproperty @name = N'ColumnSource'
                              , @value = N'dividend_amount'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'Dividends'
                              , @level2type = N'COLUMN'
                              , @level2name = N'dividend_amount';






/*
	Stocks
*/

-- ticker
EXEC sys.sp_addextendedproperty @name = N'ColumnDescription'
                              , @value = N'The ticker symbol for this equity.'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'Stocks'
                              , @level2type = N'COLUMN'
                              , @level2name = N'ticker';

EXEC sys.sp_addextendedproperty @name = N'ColumnSource'
                              , @value = N'ticker'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'Stocks'
                              , @level2type = N'COLUMN'
                              , @level2name = N'ticker';


-- EquityName
EXEC sys.sp_addextendedproperty @name = N'ColumnDescription'
                              , @value = N'The EquityName for this equity.'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'Stocks'
                              , @level2type = N'COLUMN'
                              , @level2name = N'EquityName';

EXEC sys.sp_addextendedproperty @name = N'ColumnSource'
                              , @value = N'EquityName'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'Stocks'
                              , @level2type = N'COLUMN'
                              , @level2name = N'EquityName';


-- EquityType
EXEC sys.sp_addextendedproperty @name = N'ColumnDescription'
                              , @value = N'The EquityType (stock, ETF, mutual fund) for this equity.'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'Stocks'
                              , @level2type = N'COLUMN'
                              , @level2name = N'EquityType';

EXEC sys.sp_addextendedproperty @name = N'ColumnSource'
                              , @value = N'EquityType'
                              , @level0type = N'SCHEMA'
                              , @level0name = N'dbo'
                              , @level1type = N'TABLE'
                              , @level1name = N'Stocks'
                              , @level2type = N'COLUMN'
                              , @level2name = N'EquityType';
